<?php
include('ratings.php');
$sqlc =[];

// Tables for the users who rated in current day, and for items that are rated
if(SVRATING =='mysql'){
  $sqlc[$obRtg->rtgusers] = "CREATE TABLE `$obRtg->rtgusers` (`day` INT(2), `rater` VARCHAR(15), `item` VARCHAR(200) NOT NULL DEFAULT '') CHARACTER SET utf8 COLLATE utf8_general_ci";
  $sqlc[$obRtg->rtgitems] = "CREATE TABLE `$obRtg->rtgitems` (`item` VARCHAR(200) PRIMARY KEY NOT NULL DEFAULT '', `totalrate` INT(10) NOT NULL DEFAULT 0, `nrrates` INT(9) NOT NULL DEFAULT 1) CHARACTER SET utf8 COLLATE utf8_general_ci";
}
else if(SVRATING =='sqlite'){
  $sqlc[$obRtg->rtgusers] = "CREATE TABLE $obRtg->rtgusers(day INTEGER, rater TEXT COLLATE NOCASE, item TEXT NOT NULL DEFAULT '' COLLATE NOCASE)";
  $sqlc[$obRtg->rtgitems] = "CREATE TABLE $obRtg->rtgitems(item TEXT PRIMARY KEY UNIQUE NOT NULL DEFAULT '' COLLATE NOCASE, totalrate INTEGER NOT NULL DEFAULT 0, nrrates INTEGER NOT NULL DEFAULT 1)";
}

// traverse the $sqlc array, and calls the method to create the tables
foreach($sqlc AS $tab=>$sql){
  if($obRtg->sqlExec($sql, []) !== false) echo "<h4>The '$tab' table was created</h4>";
  else echo "<h4>Unable to create the '$tab' table</h4>";
}